Subject: RE: bug#39848: 26.3; Provide better help for menu-bar, e.g., Options > Line Wrapping in This Buffer

From: Drew Adams <[email-masked]>
Date: Sun, 1 Mar 2020 09:34:47 -0800 (PST)

> unarchive 13841
> forcemerge 13841 39848
> thanks
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This is already fixed in Emacs 27.
> 
> Indeed, so I'm merging this bug with the previous one.

Yes, thanks.  I didn't realize this is essentially
a duplicate.

Is this taken care of _generally_, as requested
in #39848, or is it just taken care of for items
in this menu?

If fixed generally, then I guess it can be closed.

---

However, I do have a remark about what I see in
Emacs 27 (a dev snapshot from 2019-12-28):

 <menu-bar> <options> <line-wrapping> <window-wrap> runs the command
 menu-bar--wrap-long-lines-window-edge (found in global-map), which is
 an interactive compiled Lisp function in 'menu-bar.el'.

 It is bound to <menu-bar> <options> <line-wrapping> <window-wrap>.

 (menu-bar--wrap-long-lines-window-edge)

 Wrap long lines at window edge.

Command `menu-bar--wrap-long-lines-window-edge'
is precisely the kind of command that a user
might use, either directly or in lisp code.

So I really don't see why it's considered
"internal" (double-hyphen name).

I also don't see why it's in menu-bar.el or
it has prefix `menu-bar-'.  There's nothing
menu-specific about it.

Not only that, but unlike what menu `Options'
has generally been for, this item does not
just toggle a single user option value.  It
toggles two options and turns off a minor
mode.

Perhaps there are other considerations, but
at least on the face of it this command (and
its sister commands here) doesn't seem to
belong in menu-bar.el, and it may not belong
in menu `Options' either.